/// <reference types="node" />
import * as http from 'http';
import Registry from '../../registry';
import Handler from '../../handler';
declare abstract class GetMocksHandler implements Handler {
    abstract getSelections(registry: Registry, ngApimockId?: string): {
        [key: string]: string;
    };
    abstract getEchos(registry: Registry, ngApimockId?: string): {
        [key: string]: boolean;
    };
    abstract getDelays(registry: Registry, ngApimockId?: string): {
        [key: string]: number;
    };
    handleRequest(request: http.IncomingMessage, response: http.ServerResponse, next: Function, registry: Registry, ngApimockId: string): void;
}
export default GetMocksHandler;
