/// <reference types="node" />
import * as http from 'http';
import Registry from '../../registry';
import Handler from '../../handler';
declare abstract class UpdateMockHandler implements Handler {
    abstract handlePassThroughScenario(registry: Registry, identifier: string, ngApimockId?: string): void;
    abstract handleScenarioSelection(registry: Registry, identifier: string, scenario: string, ngApimockId?: string): void;
    abstract handleEcho(registry: Registry, identifier: string, echo: boolean, ngApimockId?: string): void;
    abstract handleDelay(registry: Registry, identifier: string, delay: number, ngApimockId?: string): void;
    handleRequest(request: http.IncomingMessage, response: http.ServerResponse, next: Function, registry: Registry, ngApimockId: string): void;
    private isScenarioSelectionRequest(data);
    private isEchoRequest(data);
    private isDelayResponseRequest(data);
    private isPassThroughScenario(scenario);
}
export default UpdateMockHandler;
