"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var http_1 = require("../../http");
var AddOrUpdateVariableHandler = (function () {
    function AddOrUpdateVariableHandler() {
    }
    AddOrUpdateVariableHandler.prototype.handleRequest = function (request, response, next, registry, ngApimockId) {
        var _this = this;
        var requestDataChunks = [];
        request.on('data', function (rawData) {
            requestDataChunks.push(rawData);
        });
        request.on('end', function () {
            var data = JSON.parse(Buffer.concat(requestDataChunks).toString());
            try {
                if (data.key !== undefined && data.value !== undefined) {
                    if (data.key === 'variables' && typeof data.value === 'object') {
                        Object.keys(data.value).forEach(function (key) {
                            _this.handleAddOrUpdateVariable(registry, key, data.value[key], ngApimockId);
                        });
                    }
                    else {
                        _this.handleAddOrUpdateVariable(registry, data.key, data.value, ngApimockId);
                    }
                }
                else {
                    throw new Error('A variable should have a key and value');
                }
                response.writeHead(200, http_1.httpHeaders.CONTENT_TYPE_APPLICATION_JSON);
                response.end();
            }
            catch (e) {
                response.writeHead(409, http_1.httpHeaders.CONTENT_TYPE_APPLICATION_JSON);
                response.end(JSON.stringify(e, ['message']));
            }
        });
    };
    return AddOrUpdateVariableHandler;
}());
exports.default = AddOrUpdateVariableHandler;
//# sourceMappingURL=addOrUpdateVariableHandler.js.map