/// <reference types="node" />
import * as http from 'http';
import Mock from '../tasks/mock';
import Registry from './registry';
import Handler from './handler';
declare abstract class NgApimockHandler implements Handler {
    MAX_RECORDINGS_PER_MOCK: number;
    abstract getSelection(registry: Registry, identifier: string, ngApimockId: string): string;
    abstract getVariables(registry: Registry, ngApimockId?: string): {};
    abstract getEcho(registry: Registry, identifier: string, ngApimockId: string): boolean;
    abstract getDelay(registry: Registry, identifier: string, ngApimockId: string): number;
    handleRequest(request: http.IncomingMessage, response: http.ServerResponse, next: Function, registry: Registry, ngApimockId: string): void;
    getMatchingMock(mocks: Mock[], requestUrl: string, method: string): Mock;
    private isBinaryResponse(response);
    private updateData(data, variables, defaults);
    private getJsonCallbackName(requestUrl);
    private storeRecording(payload, chunk, request, statusCode, registry, identifier);
}
export default NgApimockHandler;
